List project expenses
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-expenses \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-expenses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-expenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "5cda8f9c-ec4b-44fc-add3-1265e58b2d5d",
"date": "2025-03-14",
"amount": 2450.75,
"total": 2940.9,
"isBillable": true,
"vendor": "Delta Airlines",
"notes": "Flight to client site for Q1 kickoff",
"createdAt": "2025-03-14T18:23:41.502Z",
"markupMethod": "percentage",
"markupAmount": null,
"markupRatio": 0.2,
"markup": 490.15,
"project": {
"id": "c50fafe3-4ec1-44f2-8a61-ddb3abcc55bb",
"name": "Website Redesign",
"client": {
"id": "aa39afdb-e168-4956-b061-41c7c62e8c2e",
"name": "Acme Corp"
}
},
"expenseCategory": {
"id": "175e0635-ac9e-4880-8492-07fa584f1b15",
"name": "Airfare"
},
"invoiced": false
}
],
"hasMore": true
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}Project Expenses
List project expenses
GET
/
project-expenses
List project expenses
Scheduled project expenses that are outside a member’s expense reports.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
A project ID (uuid) used to filter objects for a specific project.